{
    "configurations": [
        {
            "name": "STM32G4",
            "includePath": [
                "${workspaceFolder}/src",
                "${workspaceFolder}/submodules/shared-utilities",
                "${workspaceFolder}/submodules/shared-utilities/CMSIS/Include",
                "${workspaceFolder}/submodules/shared-utilities/CMSIS/Device/ST/STM32G4xx/Include",
                "${workspaceFolder}/submodules/freertos/kernel/include",
                "${workspaceFolder}/submodules/freertos/kernel/portable/GCC/ARM_CM4F",
                "${workspaceFolder}/gen"
            ],
            "defines": [
                "NUNAVUT_ASSERT=ASSERT",
                "CANARD_ASSERT=ASSERT",
                "BUILD_DATE=0UL",
                "GIT_COMMIT=\"000102030405060708090a0b0c0d0e0f10111213\"",
                "GIT_COMMIT_ARR={0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19}",
                "GIT_CLEAN=0",
                "VERSION_MAJOR=0",
                "VERSION_MINOR=0",
                "VERSION_PATCH=0",
                "VERSION_COMMITS=255",
                "STM32G431xx",
                "__FILENAME__=\"file.c/h\""
            ],
            "compilerPath": "/usr/local/bin/arm-none-eabi-gcc",
            "cStandard": "c11",
            "cppStandard": "c++17",
            "intelliSenseMode": "linux-gcc-arm",
            "compilerArgs": [
                "-mcpu=cortex-m4",
                "-mthumb",
                "-mfpu=fpv4-sp-d16",
                "-mfloat-abi=hard"
            ]
        }
    ],
    "version": 4
}